import * as Test from "https://deno.land/std@0.224.0/assert/mod.ts";
import Bundle, {ESBuild} from "./mod.ts";


const path = await import.meta.resolve("./test/");
const {outputFiles} = await Bundle(path, {entryPoints:["./app.tsx"]});

Deno.test("check", ()=>{
    Test.assert(outputFiles?.length == 1);
    Test.assert(outputFiles[0].text.length > 1000);
})
